> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Read a content element > Retrieves a content element from the Content Store, including its current content and metadata. ## OpenAPI ````json GET /content/get { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/content/get": { "get": { "tags": [ "Content" ], "summary": "Read a content element", "description": "Retrieves a content element from the Content Store, including its current content and metadata.", "operationId": "GetContent", "parameters": [ { "name": "contentId", "in": "query", "description": "Content id", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ContentStoreElement" } } } }, "400": { "description": "", "content": { "application/json": {} } } } } } }, "components": { "schemas": { "ContentStoreElement": { "type": "object", "properties": { "contentId": { "type": "string" }, "name": { "type": "string" }, "description": { "type": "string" }, "contentType": { "type": "string" }, "content": { "type": "string" }, "status": { "enum": [ "ACCEPTED", "OPEN", "PROGRESS" ], "type": "string" }, "expirationDate": { "type": "string" }, "expirationAutomatic": { "type": "boolean", "default": false }, "tags": { "type": "array", "items": { "type": "string" } }, "url": { "type": "string" }, "fileSize": { "type": "integer", "format": "int64" }, "width": { "type": "integer", "format": "int32" }, "height": { "type": "integer", "format": "int32" }, "ownerEmail": { "type": "string" }, "authorEmail": { "type": "string" }, "creationDate": { "type": "string" }, "lastModificationDate": { "type": "string" } } } } } } ````